Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 292150 - [x11 overlay] x11-libs/libXi-9999 fails to compile: mv: cannot stat `XChangeDeviceDontPropagateList.libmansuffix': No such file or directory
Summary: [x11 overlay] x11-libs/libXi-9999 fails to compile: mv: cannot stat `XChangeD...
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-06 16:40 UTC by Eduard Bachmakov
Modified: 2009-12-08 19:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eduard Bachmakov 2009-11-06 16:40:53 UTC
(See summary.)

MAKEOPTS=-j1 at time of compile

[...]
Making all in man
make[1]: Entering directory `/var/tmp/portage/x11-libs/libXi-9999/work/libXi-9999/man'
/usr/bin/asciidoc -b docbook -d manpage -o XAllowDeviceEvents.xml XAllowDeviceEvents.txt
/usr/bin/asciidoc:9: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import sys, os, re, time, traceback, tempfile, popen2, codecs, locale
/usr/bin/xmlto man XAllowDeviceEvents.xml
Note: meta source : no *info/productname or alternative            XAllowDeviceEvents
Note: meta source : see http://docbook.sf.net/el/productname       XAllowDeviceEvents
Note: meta source : no refentry/refmeta/refmiscinfo@class=source   XAllowDeviceEvents
Note: meta source : see http://docbook.sf.net/el/refmiscinfo       XAllowDeviceEvents
Note: meta version: no *info/productnumber or alternative          XAllowDeviceEvents
Note: meta version: see http://docbook.sf.net/el/productnumber     XAllowDeviceEvents
Note: meta version: no refentry/refmeta/refmiscinfo@class=version  XAllowDeviceEvents
Note: meta version: see http://docbook.sf.net/el/refmiscinfo       XAllowDeviceEvents
Warn: meta source : no fallback for source, so inserted a fixme    XAllowDeviceEvents
Note: meta manual : no titled ancestor of refentry                 XAllowDeviceEvents
Note: meta manual : no refentry/refmeta/refmiscinfo@class=manual   XAllowDeviceEvents
Note: meta manual : see http://docbook.sf.net/el/refmiscinfo       XAllowDeviceEvents
Warn: meta manual : no fallback for manual, so inserted a fixme    XAllowDeviceEvents
Warn: meta author : no refentry/info/author                        XAllowDeviceEvents
Note: meta author : see http://docbook.sf.net/el/author            XAllowDeviceEvents
Warn: meta author : no author data, so inserted a fixme            XAllowDeviceEvents
Note: Writing XAllowDeviceEvents.libmansuffix
mv -f XAllowDeviceEvents.libmansuffix XAllowDeviceEvents.man
/bin/sed -e 's/__xorgversion__/"libXi 1.3" "X Version 11"/' -e 's/__xservername__/Xorg/g' -e 's/__xconfigfile__/xorg.conf/g' -e 's/__appmansuffix__/1/g' -e 's/libmansuffix/3/g' -e 's/__filemansuffix__/5/g' < XAllowDeviceEvents.man > XAllowDeviceEvents.3
/usr/bin/asciidoc -b docbook -d manpage -o XChangeDeviceDontPropagateList.xml XChangeDeviceDontPropagateList.txt
/usr/bin/asciidoc:9: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import sys, os, re, time, traceback, tempfile, popen2, codecs, locale
/usr/bin/xmlto man XChangeDeviceDontPropagateList.xml
Note: meta source : no *info/productname or alternative            XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta source : see http://docbook.sf.net/el/productname       XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta source : no refentry/refmeta/refmiscinfo@class=source   XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta source : see http://docbook.sf.net/el/refmiscinfo       XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta version: no *info/productnumber or alternative          XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta version: see http://docbook.sf.net/el/productnumber     XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta version: no refentry/refmeta/refmiscinfo@class=version  XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta version: see http://docbook.sf.net/el/refmiscinfo       XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Warn: meta source : no fallback for source, so inserted a fixme    XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta manual : no titled ancestor of refentry                 XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta manual : no refentry/refmeta/refmiscinfo@class=manual   XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta manual : see http://docbook.sf.net/el/refmiscinfo       XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Warn: meta manual : no fallback for manual, so inserted a fixme    XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Warn: meta author : no refentry/info/author                        XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: meta author : see http://docbook.sf.net/el/author            XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Warn: meta author : no author data, so inserted a fixme            XChangeDeviceDontPropagateList, XGetDeviceDontPropagateList
Note: Writing XChangeDeviceDontPropagateList,_XGetDeviceDontPropagateList.libmansuffix
mv -f XChangeDeviceDontPropagateList.libmansuffix XChangeDeviceDontPropagateList.man
mv: cannot stat `XChangeDeviceDontPropagateList.libmansuffix': No such file or directory
make[1]: *** [XChangeDeviceDontPropagateList.man] Error 1
rm XChangeDeviceDontPropagateList.xml XAllowDeviceEvents.xml
make[1]: Leaving directory `/var/tmp/portage/x11-libs/libXi-9999/work/libXi-9999/man'
make: *** [all-recursive] Error 1
Comment 1 Rémi Cardona gentoo-dev 2009-11-09 08:17:28 UTC
Please try to reproduce the bug with a hand-made clone of the repo in your $HOME directory or somewhere else.

If you can reproduce the bug, please contact upstream directly. If not, please reopen this bug and provide a full build.log.

Thanks
Comment 2 Eduard Bachmakov 2009-11-10 16:59:04 UTC
After emerging tons of packages and re-emerging world the package compiled. No idea if there was a unknown dependency or it got fixed upstream.
Comment 3 Sami Saada 2009-12-08 19:51:47 UTC
(In reply to comment #2)
> After emerging tons of packages and re-emerging world the package compiled. No
> idea if there was a unknown dependency or it got fixed upstream.
> 

I got this error too, but found fix from Freedesktop bugzilla:https://bugs.freedesktop.org/show_bug.cgi?id=24289

To generate man-pages I needed to upgrade asciidoc. On amd64 the only version which is newer than 8.4.5 (which is needed) is 8.5.1. I got it installed with it :)